/***************************************************************************
                          kscrollinglabel - a label that scrolls its contents
                             -------------------
    begin                : 2002-08-28
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSCROLLINGLABEL_H
#define KSCROLLINGLABEL_H

#include <qlabel.h>

class KScrollingLabel : public QLabel
{
  Q_OBJECT;

public:
  KScrollingLabel (QWidget *parent, const char *name=0, WFlags f=0);
  KScrollingLabel (const QString& text, QWidget *parent, const char *name=0, WFlags f=0);
  KScrollingLabel (QWidget *buddy, const QString& text, QWidget *parent, const char *name=0, WFlags f=0);

public slots:
  virtual void setText (const QString &);

protected:
  virtual void drawContents (QPainter *p);
  virtual void timerEvent (QTimerEvent *tev);
  virtual void resizeEvent (QResizeEvent *rev);

private:
  void initialise ();
  void checkScrolling ();
  int offsetTimerID;
  int offset;
  int speed;
  int delay;
  int center_delay;
  int center_waited;

};

#endif
