/***************************************************************************
                          kxine.h  -  main widget
                             -------------------
    begin                : Fri Jun 28 20:23:37 BST 2002
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINE_H
#define KXINE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifdef CONFIG_UNIQUE
#include <kuniqueapplication.h>
#else
#include <kapplication.h>
#endif
#include <kaction.h>
#include <qwidget.h>

#include "kxinemenu.h"
#include "kxinevideo.h"
#include "kxinecontrol.h"
#include "kxinesidebar.h"
#include "kxinevideocontrol.h"

#ifdef CONFIG_UNIQUE
extern KUniqueApplication *application;
#else
extern KApplication *application;
#endif

class Kxine : public QWidget
{
  Q_OBJECT 
  public:
    Kxine(QWidget* parent=0, const char *name=0);
    ~Kxine();


    inline bool isFullScreen () { return fullScreen; }

    KActionCollection *actionCollection ()
    { return aColn; }

  public slots:
    void clearQueue ();
    void playFile (QString);
    void enqueueFile (QString);
    void aboutApplication ();
    void toggleFullScreen (bool);
    void toggleDeinterlace (bool);
    void toggleFrameVisible ();
    void frameAdjustSize ();

    void openVideoControlWindow ();
    void videoControlWindowClosed ();

  protected:
    void keyPressEvent (QKeyEvent *);
    void moveEvent (QMoveEvent *);
    void mouseMoveEvent (QMouseEvent *);
    void timerEvent (QTimerEvent *);
    void closeEvent (QCloseEvent *);

  private:
    KActionCollection *aColn;

    KxineMenu *menu;
    KxineControl *control;
    KxineVideo *video;
    KxineSideBar *sidebar;
    KxineVideoControl *videoControl;
    bool fullScreen;
    bool deinterlace;
    QSize oldSize;
    int mouseTimerId;

  signals:
    void moved ();
};

extern Kxine *kxine;

#endif
