/***************************************************************************
                          kxinecontrol.h  -  description
                             -------------------
    begin                : Fri Jun 29 2002
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINECONTROL_H
#define KXINECONTROL_H

#include <qwidget.h>
#include <qtoolbutton.h>
#include <qslider.h>

#include "kxineslider.h"

class KxineControl : public QWidget  {
   Q_OBJECT
  public:
    KxineControl(QWidget *parent=0, const char *name=0);

  protected:
    QToolButton *playButton;
    KxineSlider *timebar;
    KxineSlider *volbar;

  private:

  signals:
    /*
     * Events that may occur
     */
    void playClicked ();
    void stopClicked ();
    void prevClicked ();
    void nextClicked ();
    void rewdClicked ();
    void ffwdClicked ();
    void seekClicked (int);
    void volumeChanged (int);

  public slots:
    /**
     * setMode
     * Updates the play button so that it makes sense
     */
    void setMode (bool playing, bool seeking);

    /**
     * setFile
     * uses the length field to set the seekbar correctly
     */
    void setFile (QString name, int length);

    /**
     * setPosition
     * sets the position
     */
    void setPosition (int pos);

    /**
     * setVolume
     * sets the position of the volume slider
     */
    void setVolume (int vol);

  private slots:
    void timebarChanged(int);
    void volbarChanged(int);

};

#endif
