/***************************************************************************
                          kxinefiledialog.h  -  File open dialog
                             -------------------
    begin                : 2002-08-10
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINEFILEDIALOG_H
#define KXINEFILEDIALOG_H

#include <kfiledialog.h>

#include <iostream>

using namespace std;

class KxineFileDialog : public KFileDialog
{
  Q_OBJECT
protected:
  KxineFileDialog (QWidget *parent, const char *name=0);

public:
  virtual ~KxineFileDialog ();

  static KxineFileDialog *getCurrent ()
  { return current; }

  static KxineFileDialog *getInstance (QWidget *parent, const char *name=0);


protected:
  virtual void closeEvent (QCloseEvent *);

protected slots:
  virtual void slotOk ();
  virtual void accept ();
  virtual void slotCancel ();

signals:
  void firstFile (QString);
  void otherFile (QString);


private:
  static KxineFileDialog *current;
};

#endif
