/***************************************************************************
                          kxinelistbox.h
                             -------------------
    begin                : 2002-09-07
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINELISTBOX_H
#define KXINELISTBOX_H

#include <klistbox.h>

class KxineListItem;

class KxineListBox : public KListBox
{
  Q_OBJECT

public:
  KxineListBox (QWidget *parent=0, const char *name=0, WFlags f=0);

  void setPlaying (KxineListItem *);
  void setPlayingItem (KxineListItem *);
  inline KxineListItem *getPlaying ()
  { return playingItem; }

  void setPlayingNext (KxineListItem *);
  inline KxineListItem *getPlayingNext ()
  { return playingNext; }

  void removeItem (int index);

signals:
  void playMRL (QString);

protected:
  virtual void mouseMoveEvent (QMouseEvent *);
  virtual void keyPressEvent (QKeyEvent *);

protected slots:
  void slotExecuted (QListBoxItem*);

private:
  KxineListItem *playingItem;
  KxineListItem *playingNext;

};


#endif
