/***************************************************************************
                          kxinelistitem.cpp
                             -------------------
    begin                : 2002-09-07
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kxinelistitem.h"
#include <qpainter.h>
#include <klocale.h>

KxineListItem::KxineListItem (KxineListBox *listbox, const QString& newMRL)
  : QListBoxText (listbox)
{
  setMRL (newMRL);

  kxineListBox = listbox;

  if (kxineListBox -> getPlayingNext() == NULL)
    kxineListBox -> setPlayingNext (this);
}

void
KxineListItem::setMRL (const QString& newMRL)
{
  mrl = newMRL;
  if (mrl == "dvd://")
    {
      setText (i18n("DVD Menu"));
      return;
    }
  if (mrl.startsWith ("dvd://:"))
    {
      setText (QString (i18n("DVD Chapter %1")).arg(mrl.mid(7)));
      return;
    }

  int slashPos = mrl.findRev('/');
  if (slashPos <= 0)
    setText (mrl);
  else
    setText (mrl.mid(slashPos+1));
}

int
KxineListItem::rtti ()
{
  return 1882;
}

void
KxineListItem::paint (QPainter *painter)
{
  painter -> save ();
  if (kxineListBox -> getPlaying () == this)
    painter -> setPen (QColor (0, 0, 255));

  QListBoxText::paint (painter);

  painter -> restore ();
}

void
KxineListItem::swapWith (KxineListItem *other)
{
  QString tmpMRL = mrl;
  setMRL (other -> getMRL ());
  other -> setMRL (tmpMRL);
  if (kxineListBox -> getPlaying () == this)
    kxineListBox -> setPlayingItem (other);
  else if (kxineListBox -> getPlaying () == other)
    kxineListBox -> setPlayingItem (this);
  if (kxineListBox -> getPlayingNext () == this)
    kxineListBox -> setPlayingNext (other);
  else if (kxineListBox -> getPlayingNext () == other)
    kxineListBox -> setPlayingNext (this);

}
