/***************************************************************************
                          kxinemenu.h  -  description
                             -------------------
    begin                : Fri Jun 28 2002
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINEMENU_H
#define KXINEMENU_H

#include <qwidget.h>
#include <qsignalmapper.h>

#include <kpopupmenu.h>
#include <kmenubar.h>
#include <kaction.h>


class KxineMenu : public QWidget  {
   Q_OBJECT
  public:
    KxineMenu(QWidget *parent=0, const char *name=0);

    virtual QSize sizeHint ();
    virtual QSize minimumSize ();

    void setFullscreenCheck (bool);
    void setDeinterlaceCheck (bool);
    void addAutoplayInputPlugin (const QString &, QSignalMapper *, const char *, const char *);

    inline KPopupMenu *getVideoContext ()
    { return videoContext; }

  private:
    KMenuBar *menubar;
    KPopupMenu *autoplayInputPlugins;
    KPopupMenu *videoContext;
    KActionCollection * actionCollection;

    enum VideoSize {
      HALF_SIZE, NORMAL_SIZE, DOUBLE_SIZE
    };

  private slots:
    void fileOpen ();
    void fileEnqueue ();
    void fileOpenMRL ();
    void viewZoom (int);

  signals:
    void loadMRL (QString);
    void enqueueMRL (QString);
    void toggleFullScreen (bool);
    void toggleDeinterlace (bool);
    void zoomChanged (double);
    void frameAdjustSize ();
    void aboutApplication ();
    void openVideoControlWindow ();
    void appClose ();

};

#endif
