/***************************************************************************
                          kxinenow.h
                             -------------------
    begin                : 2002-08-28
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINENOW_H
#define KXINENOW_H

#include <qwidget.h>

#include "kscrollinglabel.h"
#include "kxinelistbox.h"
#include <klocale.h>
#include <qtoolbutton.h>

class KxineNow : public QWidget
{
  Q_OBJECT

public:
  KxineNow (QWidget *parent, const char *name=0);

  inline void setTitle (const QString &t)
  { title -> setText (t); }

  void setPosition (int pos);
  void setLength (int len);

  QString peekNextMRL ();
  QString getNextMRL ();

  void setQueueMode ();
  void enqueueMRLs (const QStringList &);
  void clearQueue ();

  void setChapterMode ();
  void setChapters (const QStringList &);
  void clearChapters ();

public slots:
  void enqueueMRL (QString);

signals:

  void playMRL (QString);
  void menuClicked (int);

protected slots:
  void addPressed ();
  void removePressed ();

private:
  KScrollingLabel *title;
  QLabel *position;
  QString pos_cur, pos_len;

  QLabel *queue_label;
  KxineListBox *queue;
  bool chapterMode;

  QToolButton *addButton;
  QToolButton *removeButton;
  QToolButton *menuButton;

};

#endif
