/***************************************************************************
                          kxinesidebar.cpp
                             -------------------
    begin                : 2002-08-28
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kxinesidebar.h"

#include <klocale.h>

KxineSideBar::KxineSideBar (QWidget *parent, const char *name)
  : QTabWidget (parent, name)
{
  now = new KxineNow (this, "now");
  addTab (now, i18n ("Now"));

  playlist = new KxinePlayList (this, "playlist");
  addTab (playlist, i18n ("Play List"));

  connect (playlist, SIGNAL (playMRL(QString)), SIGNAL (playMRL(QString)));
  connect (now, SIGNAL (playMRL(QString)), SIGNAL (playMRL(QString)));
  connect (now, SIGNAL (menuClicked(int)), SIGNAL (menuClicked(int)));
}

QString
KxineSideBar::peekNextMRL ()
{
  QString next_mrl;

  next_mrl = now -> peekNextMRL ();
  if (next_mrl != QString::null)
    return next_mrl;

  next_mrl = playlist -> peekNextMRL ();
  if (next_mrl != QString::null)
    return next_mrl;

  return QString::null;  
}

QString
KxineSideBar::getNextMRL ()
{
  QString next_mrl;

  next_mrl = now -> getNextMRL ();
  if (next_mrl != QString::null)
    return next_mrl;

  next_mrl = playlist -> getNextMRL ();
  if (next_mrl != QString::null)
    return next_mrl;

  return QString::null;
}

void
KxineSideBar::setTitle (const QString &t)
{
  now->setTitle (t);
}

void
KxineSideBar::setLength (int len)
{
  now->setLength (len);
}

void
KxineSideBar::setPosition (int pos)
{
  now->setPosition (pos);
}

void
KxineSideBar::enqueueMRL (QString mrl)
{
  now->enqueueMRL (mrl);
}

void
KxineSideBar::enqueueMRLs (QStringList mrls)
{
  now->enqueueMRLs (mrls);
}

void
KxineSideBar::clearQueue ()
{
  now->clearQueue ();
}

void
KxineSideBar::setChapters (QStringList chaps)
{
  now->setChapters (chaps);
}

void
KxineSideBar::clearChapters ()
{
  now->clearChapters ();
}

void
KxineSideBar::setQueueMode ()
{
  now->setQueueMode ();
}
