/***************************************************************************
                          kxinesidebar.h
                             -------------------
    begin                : 2002-08-28
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINESIDEBAR_H
#define KXINESIDEBAR_H

#include <qtabwidget.h>

#include <qstringlist.h>

#include "kxinenow.h"
#include "kxineplaylist.h"

class KxineSideBar : public QTabWidget
{
  Q_OBJECT

public:
  KxineSideBar (QWidget *parent, const char *name=0);

  QString getNextMRL ();
  QString peekNextMRL ();

  void setTitle (const QString &);
  void setLength (int seconds);

public slots:
  void setPosition (int seconds);

  void enqueueMRL (QString);
  void enqueueMRLs (QStringList);
  void clearQueue ();

  void setChapters (QStringList);
  void clearChapters ();

  void setQueueMode ();

signals:
  void playMRL (QString);

  void menuClicked (int);

private:
  KxineNow *now;
  KxinePlayList *playlist;

};

#endif
