/***************************************************************************
                        kxineslider.cpp  -  sane reimplementation of QSlider
                             -------------------
    begin                : 2002-08-08
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kxineslider.h"

#include <iostream>

using namespace std;

KxineSlider::KxineSlider (Qt::Orientation orientation, QWidget *parent, const char *name)
  : QSlider (orientation, parent, name),
    dragging (false)
{
}

void
KxineSlider::xineSetValue (int val)
{
  if (!dragging)
    {
      directSetValue (val);
      QSlider::valueChange ();
    }
}

void
KxineSlider::mousePressEvent (QMouseEvent *mev)
{
  int clickPos = QRangeControl::valueFromPosition (mev -> x (), width ());
  directSetValue (clickPos);
  QSlider::valueChange ();
  dragging = true;
}

void
KxineSlider::mouseMoveEvent (QMouseEvent *mev)
{
  if (dragging)
    {
      int clickPos = QRangeControl::valueFromPosition (mev -> x (), width ());
      directSetValue (clickPos);
      QSlider::valueChange ();
      if (tracking ())
        {
          emit xineValueChanged (clickPos);
	}
    }
}

void
KxineSlider::mouseReleaseEvent (QMouseEvent *)
{
  emit xineValueChanged (value ());
  dragging = false;
}
