/***************************************************************************
                          kxinevideocontrol.h  -  description
                             -------------------
    begin                : Sun Jul 14 2002
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINEVIDEOCONTROL_H
#define KXINEVIDEOCONTROL_H

#include <qdialog.h>
#include <qslider.h>

class KxineVideoControl : public QDialog  {
   Q_OBJECT
  public:
    KxineVideoControl(QWidget *parent=0, const char *name=0);

    void enableHue (bool, int, int);
    void enableContrast (bool, int, int);
    void enableSaturation (bool, int, int);
    void enableBrightness (bool, int, int);
    void setHue (int);
    void setContrast (int);
    void setSaturation (int);
    void setBrightness (int);

  protected:
    QSlider *c_hue;
    QSlider *c_sat;
    QSlider *c_brt;
    QSlider *c_con;

    virtual void closeEvent (QCloseEvent *);

  private:

  signals:
    void propertyChanged (int, int);
    void windowClosed ();
 
  public slots:

  private slots:
    void hueMoved (int);
    void conMoved (int);
    void satMoved (int);
    void brtMoved (int);

};

#endif
