/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fri Jun 28 20:23:37 BST 2002
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include <qfile.h>

#include "kxine.h"

#include <X11/Xlib.h>
#include <cstdlib>
#include <iostream>

using namespace std;

Kxine *kxine = NULL;

static const char *description =
	I18N_NOOP("A front end for xine, using KDE/Qt.");
	
	
static KCmdLineOptions options[] =
{
  { "f", 0, 0 },
  { "fullscreen", I18N_NOOP ("Start the player in full screen mode."), 0 },
  { "+[file]", I18N_NOOP ("The file(s) to play."), 0 },
  { 0, 0, 0 }
};

#ifdef CONFIG_UNIQUE
class KxineUniqueApplication : public KUniqueApplication
{
  public:
    virtual int newInstance ();
};

KUniqueApplication *application;
#else
KApplication *application;
#endif

int
main(int argc, char *argv[])
{
  KAboutData aboutData( "kxine", I18N_NOOP("Kxine"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Mark Thomas", 0, 0, "markbt@users.sourceforge.net");
  aboutData.addAuthor("Mark Thomas",0, "markbt@users.sourceforge.net");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.
#ifdef CONFIG_UNIQUE
  KxineUniqueApplication::addCmdLineOptions ();

  cerr << "Kxine: starting process" << endl;
  if (!KxineUniqueApplication::start ())
    {
      cerr << "Kxine: process exists, exiting" << endl;
      exit (0);
    }

  KxineUniqueApplication a;
  application = &a;

  a.setMainWidget (kxine);

#else
  cerr << "creating Application" << endl;
  KApplication a;
  application = &a;
  cerr << "created Application" << endl;
  cerr << "creating Kxine" << endl;
  kxine = new Kxine();
  a.setMainWidget (kxine);

  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  kxine->show(); 
  if (args -> isSet ("fullscreen"))
    {
      kxine -> toggleFullScreen (true);
    }
  if (args -> count() > 0)
    { 
      kxine->playFile (QFile::decodeName( args->arg(0)));
    }
#endif

  return a.exec();
}

#ifdef CONFIG_UNIQUE
int
KxineUniqueApplication::newInstance (void)
{
  cerr << "Kxine: newInstance (" << application->locked() << ")" <<  endl;


  if (kxine == NULL)
    {
      cerr << "this is the first instance" << endl;
      kxine = new Kxine();
      kxine->show(); 
    }
  else
    {
      kxine->setActiveWindow();
      kxine->raise();
    }
 
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  if (args -> isSet ("fullscreen"))
    {
      kxine -> toggleFullScreen (true);
    }
  if (args -> count() > 0)
    { 
      kxine->playFile (QFile::decodeName( args->arg(0)));
    }

  return 6; 
}
#endif
